%define		realname   atk
Summary:	ATK - Accessibility Toolkit - cross MinGW32 version
Summary(pl.UTF-8):	ATK - biblioteka ułatwiająca niepełnosprawnym korzystanie z komputerów - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	2.14.0
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/atk/2.14/%{realname}-%{version}.tar.xz
# Source0-md5:	ecb7ca8469a5650581b1227d78051b8b
URL:		https://developer.gnome.org/atk/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-glib2 >= 2.32.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-glib2 >= 2.32.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
as tools such as screen readers and magnifiers, and alternative input
devices.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteka ATK udostępnia zestaw interfejsów ułatwiających
niepełnosprawnym korzystanie z aplikacji i poszczególnych elementów
graficznego interfejsu użytkownika. Poprzez wykorzystanie interfejsów
ATK, aplikacja lub element interfejsu może być używany z takimi
narzędziami jak czytniki ekranu i narzędzia powiększające oraz
alternatywnymi urządzeniami wejściowymi.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static atk library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka atk (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static atk library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka atk (wersja skrośna MinGW32).

%package dll
Summary:	DLL atk library for Windows
Summary(pl.UTF-8):	Biblioteka DLL atk dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-glib2-dll >= 2.32.0
Requires:	wine

%description dll
DLL atk library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL atk dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-gtk-doc \
	--disable-silent-rules \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/gtk-doc
# runtime
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{_libdir}/libatk-1.0.dll.a
%{_libdir}/libatk-1.0.la
%{_includedir}/atk-1.0
%{_pkgconfigdir}/atk.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libatk-1.0.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libatk-1.0-*.dll
%changelog
* Fri Oct 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-atk.git;a=log;h=master

* Fri Oct 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 315beee
- updated to 2.14.0

* Tue Mar 25 2014 Jakub Bogusz <qboosh@pld-linux.org> c5489a6
- updated to 2.12.0

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> e64e400
- updated to 2.10.0

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> bd7db0e
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> e0548e4
- do not provide pkgconfig deps in system namespace

* Wed Mar 27 2013 Jakub Bogusz <qboosh@pld-linux.org> e6ed559
- updated flags filterout defines

* Tue Mar 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 954ff1d
- updated to 2.8.0

* Tue Sep 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 695155b
- updated to 2.6.0

* Tue Mar 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 75a76f1
- updated to 2.4.0

* Fri Sep 30 2011 Jakub Bogusz <qboosh@pld-linux.org> cd45d27
- updated to 2.2.0

* Sat Jun 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> 7afb24c
- updated to 2.0.1

* Sun Apr 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 0ce0ae7
- updated to 2.0.0

* Mon Oct 04 2010 Jakub Bogusz <qboosh@pld-linux.org> 68e9ce8
- Source0 URL fix

* Sun Oct 03 2010 Jakub Bogusz <qboosh@pld-linux.org> 23ee518
- updated to 1.32.0

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> b28b1bf
- unified MinGW32 caps

* Tue Mar 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 00f642c
- updated to 1.30.0

* Fri Mar 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 7906202
- updated to 1.28.0

* Mon Mar 23 2009 Jakub Bogusz <qboosh@pld-linux.org> 62350f6
- updated to 1.26.0

* Tue Sep 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 2c1f632
- updated to 1.24.0

* Wed Mar 12 2008 Jakub Bogusz <qboosh@pld-linux.org> e5c005d
- updated to 1.22
- workaround for libtool 2.2 (to be revised later)

